## fontforge 20190801~dfsg

=== pycontrib/svg2glyph/Makefile ===
all:
	./svg2glyph -e 1024 -a 819 -o SFDir SVG/*.svg
