## fontforge 0.0.20090923

=== debian/changelog ===
fontforge (0.0.20090923-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source format. As a consequence, no longer
    build-depend on quilt and removed the file README.source.
  * debian/control:
    - add ${misc:Depends} to dependencies to properly cope with 
      debhelper-triggerred dependencies;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/patches: added the patch 026_fix-null-pntr-dereference.diff for
    allowing the dereference of the 'cs' pointer in the scstyles.c file if
    it is non-NUL. Thanks to Rogério Brito <rbrito@ime.usp.br> for the
    patch (Closes: #569548).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 27 Feb 2010 10:18:58 +0200

fontforge (0.0.20090923-1) unstable; urgency=low

  * New upstream release.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 26 Sep 2009 21:41:19 +0300

fontforge (0.0.20090914-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-Version to 3.8.3. No changes required;
    - changed short and long descriptions (Closes: #537564).

  [ Davide Viti ]
  * debian/watch: workaround broken Sourceforge redirector.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 16 Sep 2009 08:50:52 +0300

fontforge (0.0.20090622-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: removed the patch 025_bcunlink.diff -- fixed upstream.
  * debian/rules: removed the call of deprecated dh_desktop.
  * debian/control: bumped Standards-Version to 3.8.2. No changes required.
  
 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 23 Jun 2009 22:29:54 +0300

fontforge (0.0.20090408-2) unstable; urgency=low

  * debian/patches:
    - added the patch 024_def_background.diff for set the default background
      color. Thanks to Theppitak Karoonboonyanan <thep@linux.thai.net> for
      the patch (Closes: #525510);
    - added the patch 025_bcunlink.diff for fixing segfaults building
      ttf-cjk-compact. Thanks to Daniel Schepler <dschepler@gmail.com> for
      the bug report (Closes: #527807).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 12 May 2009 00:25:19 +0300

fontforge (0.0.20090408-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Call chrpath to strip the rpath on /usr/bin.
  * debian/control:
    - added chrpath to Build-Depends;
    - changed section to the new fonts section;
    - added Depends on libgdraw4 for the fontforge binary package;
    - bumped Standards-Version to 3.8.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 11 Apr 2009 23:42:31 +0300

fontforge (0.0.20090224-2) experimental; urgency=low

  * debian/control: added the dependency on libgdraw4 for libfontforge-dev
    binary package.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 01 Mar 2009 18:53:02 +0200

fontforge (0.0.20090224-1) experimental; urgency=low

  [ Kęstutis Biliūnas ]
  * New upstream release (Closes: #496048, #500543, #504440, #393487).
    Actually the latter bug was fixed much earlier, but was forgotten
    to close.
  * First release from the pristine upstream tarball. Previously, the binary
    packages was generated from the ourselves made tarball, which was
    assembled from the several upstream tarballs. Now this is splited out
    into a separate source packages.
  * Added MIME support: updated the .desktop file with MimeType entries and
    added .sharedmimeinfo file (Closes: #507427, #507428).
  * Removed the file debian/fontforge.desktop. Now we are using the file
    Packaging/fontforge.desktop from the upstream.
  * debian/control:
    - bumped Standards-Version to 3.8.0. No changes required;
    - added the new libfontforge1, libgdraw4, libfontforge-dev and
      fontforge-nox binary packages.
    - added Build-Depends on libpango1.0-dev and libcairo2-dev.
    - added the python-fontforge package to Suggests for fontforge binary
      package.
    - added DM-Upload-Allowed: yes.
  * debian/rules:
    - added the option --enable-devicetables and --with-type3 in the fontforge
      configure stage.
    - added a case check to check if the package is going to be built on Ubuntu
      or Debian. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added a comparison of the installed libtool version and the libtoolize
      option "--install", when libtool version is > 1.9b.
  * debian/patches: 
    - the patches refreshed with quilt option '-p1'. This should make the
      package work with the new source package format "3.0 (quilt)".
      (closes: #485247). Thanks to Raphael Hertzog <hertzog@debian.org> for
      the bug report.
    - disabled patch 999_disable_xinput.diff as this makes fontforge unusable
      when XMODIFIERS is defined, which is needed for many East Asian
      languages. Thanks to Arne Götje <arne@ubuntu.com> for suggestion.
    - added the patch 023_fix_desktop_file for adjusting the desktop file for
      Debian.
    - the patch 020_fix_pyext_path.diff adjusted for the new library path
      (Closes: #504705).
    - fixed the patch 900_debian_HelpDir_path.diff.
  * Removed the file debian/README and added the debian/README.source file 
    explaining how to edit or create the patches.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 26 Feb 2009 18:42:00 +0200

fontforge (0.0.20080429-1) unstable; urgency=low

  * New upstream release (Closes: #483001).
  * debian/patches: remove patch 022_validate.diff now included upstream
  * patches/900_debian_HelpDir_path.diff adapted to new sources
  
 -- Davide Viti <zinosat@tiscali.it>  Thu, 29 May 2008 09:54:53 +0200

fontforge (0.0.20080330-2) unstable; urgency=low

  [ Kęstutis Biliūnas ]  
  * debian/patches: added the patch 022_validate.diff for fixing validation
    for CID keyed fonts (Closes: #477947).

 -- Davide Viti <zinosat@tiscali.it>  Thu, 01 May 2008 15:13:51 +0200

fontforge (0.0.20080330-1) unstable; urgency=low

  [Davide Viti]
  * New upstream release (Closes: #472772).
  * Updated version of showttf.c


