=== debian/control ===
Source: fontforge
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Davide Viti <zinosat@tiscali.it>, Kęstutis Biliūnas <kebil@kaunas.init.lt>
Dm-Upload-Allowed: yes
XS-Python-Version: all
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libjpeg62-dev,
               libtiff4-dev,
               libpng12-dev,
               libgif-dev,
               libxt-dev,
               libfreetype6-dev,
               autoconf,
               automake,
               libtool,
               bzip2,
               libxml2-dev,
               libuninameslist-dev,
               libspiro-dev,
               python-all-dev,
               python-support (>= 0.5.3),
               libpango1.0-dev,
               libcairo2-dev,
               chrpath
Standards-Version: 3.8.4
Homepage: http://fontforge.sourceforge.net/
Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/

Package: fontforge
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version}), ${shlibs:Depends}
Conflicts: fontforge-nox
Suggests: fontforge-doc, potrace, autotrace, python-fontforge, fontforge-extras 
Description: font editor
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.

Package: fontforge-nox
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), ${shlibs:Depends}
Conflicts: fontforge
Description: font editor - non-X version
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.
 .
 This package contains a version of FontForge compiled with support for
 scripting but no GUI, and not require the graphics library.

Package: libfontforge-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version})
Description: font editor - runtime library (development files)
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the runtime library's development files.

Package: libfontforge1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fontforge (<= 0.0.20090224)
Replaces: fontforge (<= 0.0.20090224)
Description: font editor - runtime library
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the runtime library. 

Package: libgdraw4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fontforge (<= 0.0.20090224)
Replaces: fontforge (<= 0.0.20090224)
Description: font editor - runtime graphics and widget library
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package contains the graphics and widget runtime library. 

Package: python-fontforge
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libfontforge1
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Section: python
Description: font editor - Python bindings
 Besides being a font editor, FontForge is also a font format
 converter, and can convert among PostScript (ASCII & binary Type 1,
 some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
 CID-keyed, SVG, CFF and multiple-master fonts.
 .
 This package provides the Python modules (the libraries fontforge and
 psMat) to access a FontForge program for font manipulations.
