=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/([^\/]*)\/download/$1/,uversionmangle=s/^/0.0./ \
 http://sourceforge.net/projects/fontforge/files/ \
 /projects/fontforge/files/fontforge-source/fontforge_full-(.*)\.tar\.bz2/download debian
