## fontforge 0.0.20100501

=== debian/changelog ===
fontforge (0.0.20100501-5ubuntu2) natty; urgency=low

  * debian/rules: empty dependency_libs from shipped .la files, per
    Policy 10.2.

 -- Kees Cook <kees@ubuntu.com>  Thu, 24 Mar 2011 15:33:10 -0700

fontforge (0.0.20100501-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #704860)
    - debian/patches/901_ld_as_needed.diff:
      + Fix build failure with ld --as-needed. (Closes: #605839)
    - debian/patches/901_python27_compat.diff:
      + Fix build failure with python2.7.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 19 Jan 2011 13:16:51 +0100

fontforge (0.0.20100501-5) unstable; urgency=medium

  * Team upload.
  * debian/rules 
    - disable "--enable-double" that introduced in 0.0.20100501-3
     to avoid building ttf-dejavu failure (Closes: #609094)

 -- Hideki Yamane <henrich@debian.org>  Tue, 18 Jan 2011 23:29:31 +0900

fontforge (0.0.20100501-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #704463)
    - debian/patches/901_ld_as_needed.diff:
      + Fix build failure with ld --as-needed. (Closes: #605839)
    - debian/patches/901_python27_compat.diff:
      + Fix build failure with python2.7.
  * This uploaded fixes CVE: (LP: #704467)
    - CVE-2010-4259

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 18 Jan 2011 16:42:04 +0100

fontforge (0.0.20100501-4) unstable; urgency=high

  * Urgency high due to a security fix.
  * debian/patches:
    + grab patch from https://bugzilla.redhat.com/attachment.cgi?id=464658
    Fixes: CVE-2010-4259, Closes: #605537.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 07 Dec 2010 04:12:04 -0200

fontforge (0.0.20100501-3ubuntu2) natty; urgency=low

  * Fix build failure with python2.7.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 11:44:05 +0100

fontforge (0.0.20100501-3ubuntu1) natty; urgency=low

  * Fix build failure with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 23:09:48 +0100

fontforge (0.0.20100501-3) unstable; urgency=low

  * debian/patches:
    - fixed the patch 030_fix_stack_corruption.diff. Buffer size reduced
      to the size recommended by upstream.
    - added the patch 031_fix_spline_creation.diff resolve problem of
      compiling lilypond on s390 architecure.. (Closes: #594629).
  * debian/rules: added the option --enable-double in the fontforge configure
    stage for decrease endless problems in the intersection code case.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 28 Nov 2010 17:11:27 +0200

fontforge (0.0.20100501-2) unstable; urgency=low

  * Team upload
  * Fix stack corruption in fontforge/svg.c
    Closes: #550120

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Sep 2010 16:06:26 +0200

fontforge (0.0.20100501-1) unstable; urgency=high

  * New upstream release (Closes: #590844, #591135, #591136).

  [ Rogério Brito ]
  * debian/patches:
    - removed the patch 026_fix-null-pntr-dereference.diff.
      Fixed upstream;
    - added the patch 110_fix_incorrect_locale_code.diff correct locale
      code.

  [ Kęstutis Biliūnas ]
  * debian/patches:
    - fixed the patch 005_x_www_browser.diff to give priority
      to the user settings over system-wide settings. Thanks to Andreas
      Neudecker <zapyon@gmx.net> for the bug report (Closes: #587844);
    - added the patch 027_catch_ctrl-c_signal.diff for catching the ctrl-c
      signal and asking the user whether he really wants to exit
      (Closes: #578122).
  * debian/control:
    - aded Rogério Brito <rbrito@ime.usp.br> to Uploaders;
    - bumped Standards-Version to 3.9.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 07 Aug 2010 11:33:59 +0300
