=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: fontforge
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Davide Viti <zinosat@tiscali.it>, Kęstutis Biliūnas <kebil@kaunas.init.lt>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>,
+	   Davide Viti <zinosat@tiscali.it>,
+	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
+	   Rogério Brito <rbrito@ime.usp.br>
 Dm-Upload-Allowed: yes
 XS-Python-Version: all
 Build-Depends: debhelper (>= 7),
@@ -21,18 +25,21 @@
                libuninameslist-dev,
                libspiro-dev,
                python-all-dev,
-               python-support (>= 0.5.3),
+               python-support,
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://fontforge.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
 
 Package: fontforge
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libfontforge1 (= ${binary:Version}),
+         libgdraw4 (= ${binary:Version}),
+         ${shlibs:Depends}
 Conflicts: fontforge-nox
 Suggests: fontforge-doc, potrace, autotrace, python-fontforge, fontforge-extras 
 Description: font editor
@@ -48,7 +55,9 @@
 
 Package: fontforge-nox
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libfontforge1 (= ${binary:Version}),
+         ${shlibs:Depends}
 Conflicts: fontforge
 Description: font editor - non-X version
  Besides being a font editor, FontForge is also a font format
@@ -67,7 +76,9 @@
 Package: libfontforge-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libfontforge1 (= ${binary:Version}), libgdraw4 (= ${binary:Version})
+Depends: ${misc:Depends},
+	 libfontforge1 (= ${binary:Version}),
+	 libgdraw4 (= ${binary:Version})
 Description: font editor - runtime library (development files)
  Besides being a font editor, FontForge is also a font format
  converter, and can convert among PostScript (ASCII & binary Type 1,
@@ -79,7 +90,8 @@
 Package: libfontforge1
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+	 ${shlibs:Depends}
 Conflicts: fontforge (<= 0.0.20090224)
 Replaces: fontforge (<= 0.0.20090224)
 Description: font editor - runtime library
@@ -93,7 +105,8 @@
 Package: libgdraw4
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+	 ${shlibs:Depends}
 Conflicts: fontforge (<= 0.0.20090224)
 Replaces: fontforge (<= 0.0.20090224)
 Description: font editor - runtime graphics and widget library
@@ -106,7 +119,10 @@
 
 Package: python-fontforge
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libfontforge1
+Depends: ${misc:Depends},
+	 ${shlibs:Depends},
+	 ${python:Depends},
+	 libfontforge1
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Section: python
@@ -118,4 +134,3 @@
  .
  This package provides the Python modules (the libraries fontforge and
  psMat) to access a FontForge program for font manipulations.
-
