=== debian/rules ===
--- 
+++ 
@@ -17,23 +17,22 @@
               --with-regular-link \
               --enable-devicetables \
               --enable-pyextension \
-              --with-type3
+              --with-type3 \
+              --with-freetype-src
 
 ifeq "$(DIST)" "Ubuntu"
-CONFIG_OPTS += --with-freetype-bytecode
+	CONFIG_OPTS += --with-freetype-bytecode
 else
-CONFIG_OPTS += --with-freetype-bytecode=no
-endif  
+	CONFIG_OPTS += --with-freetype-bytecode=no
+endif
 
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+	CROSS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
-CROSS= --build $(DEB_BUILD_GNU_TYPE)
+	CROSS = --build $(DEB_BUILD_GNU_TYPE)
 endif
 
 
@@ -41,12 +40,12 @@
 configure-stamp:
 	dh_testdir
 
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+#endif
+#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
-endif
+#endif
 
 	cp configure configure.old
 	cp install-sh install-sh.old
@@ -66,21 +65,23 @@
 configure-stamp-nox:
 	dh_testdir
 
-	$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	./configure $(CROSS) ${CONFIG_OPTS} --without-x CFLAGS="$(CFLAGS)"
 
 	touch $@
 
 build: build-stamp
-build-stamp:  configure-stamp 
-	
+build-stamp:  configure-stamp
+	dh_testdir
+
 	$(MAKE)
 	$(MAKE) -C fontforge FontForge.pot
+
 	touch $@
 
 build-nox: build-stamp-nox
-build-stamp-nox: configure-stamp-nox 
+build-stamp-nox: configure-stamp-nox
 	dh_testdir
 
 	$(MAKE)
@@ -119,6 +120,10 @@
 	cp -p $(CURDIR)/debian/fontforge/usr/include/fontforge/* $(CURDIR)/debian/libfontforge-dev/usr/include/fontforge
 	-rm -rf $(CURDIR)/debian/fontforge/usr/include
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/*.la $(CURDIR)/debian/libfontforge-dev/usr/lib
+	# Empty dependency_libs from all .la files
+	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
+		$(CURDIR)/debian/libfontforge-dev/usr/lib/*.la
+
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/lib*.so $(CURDIR)/debian/libfontforge-dev/usr/lib
 	mv -t $(CURDIR)/debian/libfontforge-dev/usr/lib $(CURDIR)/debian/libfontforge1/usr/lib/pkgconfig
 
@@ -149,7 +154,7 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installmenu
 	dh_installmime
@@ -166,14 +171,10 @@
 	dh_md5sums
 	dh_builddeb
 
-
-# Build architecture dependant packages using the common target.
-binary-arch: build install build-nox install-nox 
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+binary-arch: build install build-nox install-nox binary-common
 
 binary-indep:
 
 binary: binary-arch
 .PHONY: build clean binary-arch binary install configure \
 	build-nox configure-nox install-nox
-
