=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: fontforge
 Section: fonts
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
 	   Davide Viti <zinosat@tiscali.it>,
 	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
 	   Rogério Brito <rbrito@ime.usp.br>
 Dm-Upload-Allowed: yes
-XS-Python-Version: all
+X-Python-Version: >= 2.7
 Build-Depends: debhelper (>= 7),
                autotools-dev,
-               libjpeg62-dev,
+               libjpeg-dev,
                libtiff4-dev,
                libpng12-dev,
                libgif-dev,
@@ -24,12 +23,11 @@
                libxml2-dev,
                libuninameslist-dev,
                libspiro-dev,
-               python-all-dev,
-               python-support,
+               python-dev (>= 2.6.6-3~),
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://fontforge.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
@@ -122,7 +120,7 @@
 Depends: ${misc:Depends},
 	 ${shlibs:Depends},
 	 ${python:Depends},
-	 libfontforge1
+	 libfontforge1 (= ${binary:Version})
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Section: python
@@ -134,3 +132,17 @@
  .
  This package provides the Python modules (the libraries fontforge and
  psMat) to access a FontForge program for font manipulations.
+
+Package: fontforge-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends},
+         fontforge (= ${binary:Version})
+Description: debugging symbols for fontforge
+ Besides being a font editor, FontForge is also a font format
+ converter, and can convert among PostScript (ASCII & binary Type 1,
+ some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
+ CID-keyed, SVG, CFF and multiple-master fonts.
+ .
+ This package contains the debugging symbols for fontforge.
