=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+export CONFIG_SHELL=/bin/bash
 
 LIBTOOLVERSION = $(shell dpkg-query -W -f='$${Version}\n' "libtool")
 
@@ -17,7 +19,7 @@
               --with-regular-link \
               --enable-devicetables \
               --enable-pyextension \
-              --with-type3 \
+              --enable-type3 \
               --with-freetype-src
 
 ifeq "$(DIST)" "Ubuntu"
@@ -57,7 +59,7 @@
 		set -e; cp configure.dynamic.in configure.in; libtoolize --force --copy; aclocal; autoconf; \
 	fi
 
-	./configure $(CROSS) ${CONFIG_OPTS} CFLAGS="$(CFLAGS)"
+	./configure $(CROSS) ${CONFIG_OPTS} $(shell dpkg-buildflags --export=configure)
 
 	touch $@
 
@@ -67,11 +69,13 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	./configure $(CROSS) ${CONFIG_OPTS} --without-x CFLAGS="$(CFLAGS)"
+	./configure $(CROSS) ${CONFIG_OPTS} --without-x $(shell dpkg-buildflags --export=configure)
 
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:  configure-stamp
 	dh_testdir
 
@@ -118,12 +122,8 @@
 	chrpath -d $(CURDIR)/debian/fontforge/usr/bin/fontforge
 
 	cp -p $(CURDIR)/debian/fontforge/usr/include/fontforge/* $(CURDIR)/debian/libfontforge-dev/usr/include/fontforge
-	-rm -rf $(CURDIR)/debian/fontforge/usr/include
-	mv $(CURDIR)/debian/libfontforge1/usr/lib/*.la $(CURDIR)/debian/libfontforge-dev/usr/lib
-	# Empty dependency_libs from all .la files
-	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
-		$(CURDIR)/debian/libfontforge-dev/usr/lib/*.la
-
+	-rm -rf $(CURDIR)/debian/fontforge/usr/include \
+                $(CURDIR)/debian/libfontforge1/usr/lib/*.la
 	mv $(CURDIR)/debian/libfontforge1/usr/lib/lib*.so $(CURDIR)/debian/libfontforge-dev/usr/lib
 	mv -t $(CURDIR)/debian/libfontforge-dev/usr/lib $(CURDIR)/debian/libfontforge1/usr/lib/pkgconfig
 
@@ -133,7 +133,8 @@
 	mv $(CURDIR)/debian/fontforge/usr/share/fontforge/python $(CURDIR)/debian/python-fontforge/usr/share/fontforge
 
 	cp -p Packaging/fontforge.desktop debian/fontforge/usr/share/applications/
-	cp -p debian/ffanvil32.xpm debian/fontforge/usr/share/icons/
+	cp -p Packaging/fontforge.png debian/fontforge/usr/share/pixmaps/
+	cp -p debian/fontforge.xpm debian/fontforge/usr/share/pixmaps/
 	cp Packaging/fontforge.xml debian/fontforge.sharedmimeinfo
 
 	dh_install -s
@@ -160,11 +161,11 @@
 	dh_installmime
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --exclude=fontforge-nox --dbg-package=fontforge-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_pysupport -ppython-fontforge
+	dh_python2 -ppython-fontforge
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
