## fontforge 0.0.20120101+git

=== debian/changelog ===
fontforge (0.0.20120101+git-2+deb7u1) wheezy-security; urgency=low

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2017-11568-11569-11571-11572-11574-11575-11576-11577.patch
    Fix for several CVEs:
      CVE-2017-11568
      CVE-2017-11569
      CVE-2017-11571
      CVE-2017-11572
      CVE-2017-11574
      CVE-2017-11575
      CVE-2017-11576
      CVE-2017-11577
    FontForge 20161012 is vulnerable to heap-based buffer over-read in
    several functions, resulting in DoS or code execution via a crafted 
    otf file:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 26 Aug 2017 16:03:02 +0200

fontforge (0.0.20120101+git-2) unstable; urgency=low

  * Define SHELL in Makefiles. Thanks to Jakub Wilk for the patch
    Closes: #671971

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 May 2012 22:21:12 +0200

fontforge (0.0.20120101+git-1) unstable; urgency=low

  * new upstream snapshot release from git (Closes: #656443)
  * debian/patches: drop
    001_Support-libpng-1.5-by-only-using-accessor-functions.diff and 
    905_fix_selection_crashes.diff (applied upstream)
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * change B-D from libpng12-dev to libpng-dev (Closes: #662330)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 13 Mar 2012 21:59:30 -0400

fontforge (0.0.20110222-9) UNRELEASED; urgency=low

  * convert to git-based packaging 

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 06 Feb 2012 01:10:28 -0500
