=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Christian Perrier <bubulle@debian.org>,
 	   Davide Viti <zinosat@tiscali.it>,
 	   Kęstutis Biliūnas <kebil@kaunas.init.lt>,
-	   Rogério Brito <rbrito@ime.usp.br>
+	   Rogério Brito <rbrito@ime.usp.br>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Dm-Upload-Allowed: yes
 X-Python-Version: >= 2.7
 Build-Depends: debhelper (>= 7),
                autotools-dev,
                libjpeg-dev,
                libtiff4-dev,
-               libpng12-dev,
+               libpng-dev,
                libgif-dev,
                libxt-dev,
                libfreetype6-dev,
@@ -27,10 +28,10 @@
                libpango1.0-dev,
                libcairo2-dev,
                chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://fontforge.sourceforge.net/
-Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/fontforge/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/fontforge/
+Vcs-Git: git://git.debian.org/pkg-fonts/fontforge/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fontforge.git;a=summary
 
 Package: fontforge
 Architecture: any
