=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 	rm -rf Unicode/.libs Unicode/Makefile.in
 	rm -rf gdraw/.libs gdraw/Makefile.in
 	rm -rf fontforge/Makefile.in gutils/Makefile.in fontforge/FontForge.pot
-	rm -f Makefile.in aclocal.m4 ltmain.sh config.log
+	rm -f Makefile.in aclocal.m4 ltmain.sh config.log configure.lineno
 
 	dh_clean  --exclude ./fontforge/FontForge-MenuShortCuts.pot.orig --exclude ./fontforge/nowakowskittfinstr.c.orig --exclude ./fontforge/scstyles.c.orig
 
@@ -161,11 +161,13 @@
 	dh_installmime
 	dh_installman
 	dh_link
+	dh_python2 -ppython-fontforge
 	dh_strip --exclude=fontforge-nox --dbg-package=fontforge-dbg
+	# strip again to clean up the binaries in fontforge-nox:
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_python2 -ppython-fontforge
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
